Qt Cryptographic Architecture: QCA::AbstractLogDevice Class Reference

Qt Cryptographic Architecture

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | List of all members
QCA::AbstractLogDevice Class Referenceabstract
QCA user API

`#include <QtCrypto>`

Collaboration diagram for QCA::AbstractLogDevice:
[legend]

## Public Member Functions
virtual void | logBinaryMessage (const QByteArray &blob, Logger::Severity severity)
virtual void | logTextMessage (const QString &message, Logger::Severity severity)
QString | name () const

## Protected Member Functions
| AbstractLogDevice (const QString &name, QObject *parent=0)

## Detailed Description

An abstract log device.

## Constructor & Destructor Documentation

QCA::AbstractLogDevice::AbstractLogDevice | ( | const QString & | name,
|  | QObject * | parent = `0`
| ) |  |
| explicitprotected

Create a new message logger.

Parameters

  name | the name of this log device
  parent | the parent for this logger

## Member Function Documentation

QString QCA::AbstractLogDevice::name | ( |  | ) | const

The name of this log device.

virtual void QCA::AbstractLogDevice::logTextMessage | ( | const QString & | message,
|  | Logger::Severity | severity
| ) |  |
| virtual

Log a message.

The default implementation does nothing - you should override this method in your subclass to do whatever logging is required

Parameters

  message | the message to log
  severity | the severity level of the message

virtual void QCA::AbstractLogDevice::logBinaryMessage | ( | const QByteArray & | blob,
|  | Logger::Severity | severity
| ) |  |
| virtual

Log a binary blob.

The default implementation does nothing - you should override this method in your subclass to do whatever logging is required

Parameters

  blob | the message (as a byte array) to log
  severity | the severity level of the message

The documentation for this class was generated from the following file:

- qca_support.h